Lavalite package that provides department management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/department`.

    "litepci/department": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Department\Providers\DepartmentServiceProvider::class,

And also add it to alias

    'Department'  => Litepci\Department\Facades\Department::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\Department\\Seeds\\DepartmentTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Department\Providers\DepartmentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Department\Providers\DepartmentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Department\Providers\DepartmentServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/department/{modulename}

**User**

    http://path-to-route-folder/user/department/{modulename}

**Public**

    http://path-to-route-folder/departments


### API endpoints

**List**

    http://path-to-route-folder/api/user/department/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/department/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/department/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/department/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/department/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/department/{modulename}/{slug}
    METHOD: GET